View Issue Details

IDProjectCategoryView StatusLast Update
0001777Industrial-Craft²nuclear reactor and anything associatedpublic2015-11-28 10:34
ReporterChocoheadAssigned ToAroma1997 
PrioritynormalSeveritycrashReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in VersionBuilds for MC 1.7.10 
Summary0001777: Reactor Crash
DescriptionWell, I made my reactor crash.

---- Minecraft Crash Report ----
// I just don't know what went wrong :(

Time: 27/11/15 17:03
Description: Ticking block entity

java.lang.ArithmeticException: / by zero
    at ic2.core.item.reactor.ItemReactorUranium.processChamber(ItemReactorUranium.java:79)
    at ic2.core.block.reactor.tileentity.TileEntityNuclearReactorElectric.processChambers(TileEntityNuclearReactorElectric.java:553)
    at ic2.core.block.reactor.tileentity.TileEntityNuclearReactorElectric.updateEntityServer(TileEntityNuclearReactorElectric.java:334)
    at ic2.core.block.TileEntityBlock.func_145845_h(TileEntityBlock.java:188)
    at net.minecraft.world.World.func_72939_s(World.java:1939)
    at net.minecraft.world.WorldServer.func_72939_s(WorldServer.java:489)
    at net.minecraft.server.MinecraftServer.func_71190_q(MinecraftServer.java:636)
    at net.minecraft.server.MinecraftServer.func_71217_p(MinecraftServer.java:547)
    at net.minecraft.server.integrated.IntegratedServer.func_71217_p(IntegratedServer.java:111)
    at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:427)
    at net.minecraft.server.MinecraftServer$2.run(MinecraftServer.java:685)
Steps To ReproducePraying that the formatting stays, this is what I had in my reactor:

[ ][T][T]
[ ][ ][ ]
[V][L][ ]
[C][U][V*]
[V][L][ ]
[ ][ ][ ]

T - Tritium Cell, just lying around that I left there
L - Lithium Cell, that I was charging up into tritium (now that works properly with 799)
U - Single Uranium Cell
C - Component Heat Vent
V - Overclocked Heat Vent

I took out the V* vent, then the game just crashed.
TagsCan be closed
Minecraft Version

Activities

Chocohead

2015-11-27 17:15

developer   ~0004313

Last edited: 2015-11-27 17:32

View 4 revisions

C should be a component heat exchanger, not vent :S


Looks like heatAcceptors.size() was 0, and !heatAcceptors.isEmpty() returned true, allowing it to happen. Guessing line 76 is to blame removing a thing from the array after checking it is empty but before getting the size.

Chocohead

2015-11-27 17:32

developer   ~0004314

Seems having a fuel rod with a heat exchanger and no vents touching it causes it

Issue History

Date Modified Username Field Change
2015-11-27 17:08 Chocohead New Issue
2015-11-27 17:15 Chocohead Note Added: 0004313
2015-11-27 17:16 Chocohead Note Edited: 0004313 View Revisions
2015-11-27 17:18 Chocohead Note Edited: 0004313 View Revisions
2015-11-27 17:32 Chocohead Note Added: 0004314
2015-11-27 17:32 Chocohead Note Edited: 0004313 View Revisions
2015-11-28 10:11 estebes Tag Attached: Can be closed
2015-11-28 10:32 Aroma1997 Status new => closed
2015-11-28 10:32 Aroma1997 Resolution open => fixed
2015-11-28 10:32 Aroma1997 Fixed in Version => Builds for MC 1.7.10
2015-11-28 10:32 Aroma1997 Status closed => resolved
2015-11-28 10:33 Aroma1997 Assigned To => Aroma1997
2015-11-28 10:33 Aroma1997 Status resolved => assigned
2015-11-28 10:34 Aroma1997 Status assigned => resolved